Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.categorization.model
Interface VCategorizableElement

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VElement

All Known Subinterfaces:
  DynamicContainmentItem, DynamicContainmentTree, VAbstractCategorization, VCategorization, VCategory

All Known Implementing Classes:
  DynamicContainmentItemImpl, DynamicContainmentTreeImpl, VAbstractCategorizationImpl, VCategorizableElementImpl, VCategorizationImpl, VCategoryImpl

    public interface VCategorizableElement

extends VElement

A representation of the model object 'Categorizable Element'.

The following features are supported:

- `Label Object`

See Also:
  `VCategorizationPackage.getCategorizableElement()`

Method Summary
`List<ECPAction>` | `getECPActions()`
`org.eclipse.emf.ecore.EObject` | `getLabelObject()` Returns the value of the 'Label Object' reference.
`void` | `setECPActions(List<ECPAction> actions)`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VElement
`getAttachments, getDiagnostic, getLabel, getName, isEnabled, isReadonly, isVisible, setDiagnostic, setEnabled, setLabel, setName, setReadonly, setVisible`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLabelObject

    org.eclipse.emf.ecore.EObject getLabelObject()

  Returns the value of the 'Label Object' reference.

  If the meaning of the 'Label Object' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Label Object' reference.
  See Also:
    `VCategorizationPackage.getCategorizableElement_LabelObject()`

### getECPActions

    List<ECPAction> getECPActions()

### setECPActions

    void setECPActions(List<ECPAction> actions)

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.